<link rel="import" href="../polymer/polymer-element.html" />
<link rel="import" href="../iron-icon/iron-icon.html" />

<dom-module id="icon-toggle">
    <template>
        <style>
            /* shadow DOM styles go here */
            :host {
                display: inline-block;
            }
            iron-icon {
                fill: var(--icon-toggle-color, rgba(0, 0, 0, 0));
                stroke: var(--icon-toggle-outline-color, currentcolor);
            }
            :host([pressed]) iron-icon {
                fill: var(--icon-toggle-pressed-color, currentcolor);
            }
        </style>

        <iron-icon icon="[[toggleIcon]]" on-click="toggle"></iron-icon>
    </template>

    <script>
        class IconToggle extends Polymer.Element {
            static get is() {
                return "icon-toggle";
            }
            constructor() {
                super();
            }
            static get properties() {
                return {
                    toggleIcon: {
                        type: String,
                    },
                    pressed: {
                        type: Boolean,
                        notify: true,
                        reflectToAttribute: true,
                        value: false,
                    },
                };
            }
            toggle() {
                this.pressed = !this.pressed;
            }
        }
        customElements.define(IconToggle.is, IconToggle);
    </script>
</dom-module>
